/*
*
*/

package rpcs.system;

import com.sun.java.swing.*;
import java.awt.*;
import rpcs.system.*;

public class RPCSPlayer extends RPCSBasePlayer {
	String	crit_adj;	/* adjust the crit recieved (monsters only) */
	String	ign_atk;	/* ignore certain attacks (monsters) */

	int     max_con;	/* max CO value, used to calc when DEAD */
	int     max_mam;	/* Max Move & Manouver bonus */
	int    	noa_mam;	/* No Armor Move & Manouver bonus */
	int    	cur_mam;	/* current Move & Manouver bonus */
	int    	ag_qu;		/* AG/QU stat, used for INIT calcs */

	int     act_pen;	/* Activity penalties from Crits taken */

	int     shd_bf; 	/* Shield BF */
	int    	shd_str;	/* Shield's Str */
	int     spl_chrg;	/* no. rnds spent charging - spells */
	int     mis_chrg;	/* no. rnds spent charging - missile */
	int    	arm_mend;	/* armor's max endurance */
	int    	arm_cend;	/* armor's current endurance */

	int    	rr_ess;		/* Essence RR value */
	int    	rr_cha;		/* Chann RR value */
	int    	rr_men;		/* Mentalism RR value */
	int    	rr_poi;		/* Poison RR value */
	int    	rr_dis;		/* Disease RR value */

	int     ab_perc;	/* Perception Stat Value */
	int     ab_track;	/* Track Stat Value */
	int     ab_u_item;	/* Use Item Stat Value */
	int     ab_r_rune;	/* Read Rune Stat Value */
	int     ab_p_lock;	/* Pick Locks Stat Value */
	int     ab_d_trap;	/* Disarm Trap Stat Value */
	int     ab_influ;	/* Influence Stat Value */
	int     ab_stalk;	/* Stalk/Hide Stat Value */

	int    	char_mass;	/* characters weight */
	int    	pack_mass;	/* pack weight */
	int    	misc_mass;	/* misc weight */

	String	battle_xp;	/* experience points from battle */
	int    	cur_xp;		/* experience points gained from actions */

	int    	base_spell;	/* Base Spell value */
	int    	dir_spell;	/* Directed Spell value */
	int    	pp_cur;		/* their current PPs */
	int    	pp_max;		/* their max PPs */

	public RPCSPlayer(Frame pFrame, RPCSParam params) {
		super(pFrame, params);
	}
}
