/*
 *	Copyright: Torquil Gault (tag@scatha.apana.org.au), 1998+
 *
 */

package rpcs.system;

import com.sun.java.swing.JPanel;
import java.io.*;
import java.util.*;
import rpcs.system.*;

public class RPCSBaseAlert extends JPanel implements Serializable {
	RPCSTable ATable;
	RPCSParam Params;

	public RPCSBaseAlert(RPCSParam param) {
		super();
		Params = param;

		init();
	}

	public void init() {
		ATable = new RPCSTable(2,23);
		ATable.setColumnHeaders(new String[] {"# Rnds", "Message"});
		ATable.setColumnWidths(new int[] {50, 1000});
		ATable.addRowAt(0, new String[] {"1", "The dragon will appear"});
		ATable.addRowAt(1, new String[] {"2", "The orc will appear"});
		ATable.addRowAt(2, new String[] {"3", "The player will appear"});
//		ATable.addColumn(1, "Test");
//		ATable.setColumnWidths(new int[] {50, 50, 1000});
		add(ATable);
	}
}

class RPCSAlert_Tbl implements Serializable {
	int     tr_rnd;		/* no rnds lasts */
	String  tr_desc;	/* description */

	public RPCSAlert_Tbl() {
	}

}
