/*
 *	Copyright: Torquil Gault (tag@scatha.apana.org.au), 1998+
 *
 */

package rpcs.system;

import com.sun.java.swing.*;
import com.sun.java.swing.event.*;
import java.awt.*;
import java.awt.event.*;
import rpcs.system.*;

public class RPCSBaseMonster extends RPCSBaseObject {

	public RPCSBaseMonster(Frame pFrame, RPCSParam param) {
		this(pFrame, param, param.aRPCSMain.baseIcon[1]);
	}

	public RPCSBaseMonster(Frame pFrame, RPCSParam param, Icon icon) {
		super(pFrame, param, icon);
		ObjButton.setText("A Monster");
		name = "A Monster";
		ObjButton.setToolTipText(name);
		Params.aRPCSMain.vRPCSMonster.addElement(this);
		Params.aRPCSMain.lRPCSMonster.addToList(this);
	}

	public void setVisible(boolean b) {
		ObjDialog.setTitle("RPCS Monster Window: " + name);
		super.setVisible(b);
	}

	public void updateDetails(boolean action) {
		super.updateDetails(action);
		Params.aRPCSMain.lRPCSMonster.updateDetails(this);
	}
}
