/*
 *	Copyright: Torquil Gault (tag@scatha.apana.org.au), 1998+
 *
 */

package rpcs.system;

import com.sun.java.swing.*;
import com.sun.java.swing.event.*;
import java.awt.*;
import java.awt.event.*;
import rpcs.system.*;

public class RPCSBaseTrap extends RPCSBaseObject {
	public RPCSBaseTrap(Frame pFrame, RPCSParam param) {
		this(pFrame, param, param.aRPCSMain.baseIcon[2]);
	}

	public RPCSBaseTrap(Frame pFrame, RPCSParam param, Icon icon) {
		super(pFrame, param, icon);
		ObjButton.setText("A Trap");
		TabPanel.setTitleAt(PANEL_WEAP, "  Damage Details  ");
		name = "A Trap";
		ObjButton.setToolTipText(name);
		Params.aRPCSMain.vRPCSTrap.addElement(this);
		Params.aRPCSMain.lRPCSTrap.addToList(this);
	}

	public void initVars() {
		super.initVars();
		{ 
		  String[] ts = {"Contact", "Radius", "Timed"};
//		  fPanel[PANEL_PLYR].replace("Type:", ts, type);
		}
	}

	public void setVisible(boolean b) {
		ObjDialog.setTitle("RPCS Trap Window: " + name);
		super.setVisible(b);
	}

	public void updateDetails(boolean action) {
		super.updateDetails(action);
		Params.aRPCSMain.lRPCSTrap.updateDetails(this);
	}
}
