/*
 *	Copyright: Torquil Gault (tag@scatha.apana.org.au), 1998+
 *
 */
package rpcs.system;

public interface iRPCSObject {
	public void resolveMeleeAttack(Object toHit);
	public void resolveSpellAttack(Object toHit);
	public void resolveMissileAttack(Object toHit);
	public void resolveSpellLoad();
	public void resolveMissileLoad();
	public void resolveMove(Object toHit);
	public void resolveDelayedMeleeAttack(Object toHit);
	public void resolveDelayedSpellAttack(Object toHit);
	public void resolveDelayedMissileAttack(Object toHit);
	public void resolveDelayedMove(Object toHit);
}