/*
 *	Copyright: Torquil Gault (tag@scatha.apana.org.au), 1998+
 *
 */

package rpcs.system;

import com.sun.java.swing.*;
import rpcs.system.*;
import java.io.*;
import java.util.*;

public class RPCSBaseEquipment extends RPCSDialog {
	RPCSTable ETable;

	public RPCSBaseEquipment(RPCSParam param) {
		super(param);
		setTitle("RPCS Equipment Details");
		init();
	}

	public void init() {
		super.init();
		ETable = new RPCSTable(4,0);
		ETable.setColumnHeaders(new String[] {"Name", "Cost", "Wgt", "Description"});
		ETable.setColumnWidths(new int[] {90, 50, 50, 250});
		CPanel.add(ETable);
		initVars();
		setSize(500, 500);
	}

	public void initVars() {
	}
}

class RPCSEquip_Tab implements Serializable {
	int     eq_type;
	String  eq_name;
	String  eq_cost;
	String  eq_weight;
	String  eq_desc;
	
	public RPCSEquip_Tab() {
	}

}