/*
 *	Copyright: Torquil Gault (tag@scatha.apana.org.au), 1998+
 *
 */

package rpcs.system;

import com.sun.java.swing.*;
import rpcs.system.*;
import java.io.*;
import java.util.*;

public class RPCSBaseHerb extends RPCSDialog {
	RPCSTable HTable;

	public RPCSBaseHerb(RPCSParam param) {
		super(param);
		setTitle("RPCS Herb Details");
		init();
	}

	public void init() {
		super.init();
		HTable = new RPCSTable(6,0);
		HTable.setColumnHeaders(new String[] {"Type", "Found", "Form", "Description", "Effects", "Cost"});
		HTable.setColumnWidths(new int[] {50, 50, 50, 90, 220, 40});
		CPanel.add(HTable);
		initVars();
		setSize(500, 500);
	}

	public void initVars() {
	}
}

class RPCSHerb_Tab implements Serializable {
	int     he_type;
	String  he_desc;
	String  he_found;
	String  he_form;
	String  he_cost;
	String  he_effects;
	
	public RPCSHerb_Tab() {
	}
}
