
/*
 *	Copyright: Torquil Gault (tag@scatha.apana.org.au), 1998+
 *
 */

package rpcs.system;

import com.sun.java.swing.*;
import com.sun.java.swing.event.*;
import java.awt.*;
import java.awt.event.*;

import java.io.*;
import java.util.*;

public class RPCSGroupAction extends RPCSDialog {
	RPCSTable GTable;
	JComboBox Action;

	public RPCSGroupAction(RPCSParam param) {
		super(param);
		setTitle("RPCS Group Actions Setup");
		init();
	}

	public void init() {
		super.init();
		GTable = new RPCSTable(3,18);
		GTable.setColumnHeaders(new String[] {"Group", "Action", "#Rnds"});
		GTable.setColumnWidths(new int[] {60, 70, 40});
		initVars();
	}

	public void initVars() {
		Action = new JComboBox(new String[] {"Move", "Attack", "Retreat", "Inactive", "Activate"});
		GTable.setColumnType(1, Action);
		CPanel.add(GTable);
		CPanel.validate();
	}
}
